org.springframework.jdbc.datasource.embedded

## Class OutputStreamFactory

- java.lang.Object
- - org.springframework.jdbc.datasource.embedded.OutputStreamFactory

    public class OutputStreamFactory
    extends Object

Internal helper for exposing dummy OutputStreams to embedded databases such as Derby, preventing the creation of a log file.

Since:
  3.0
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`OutputStreamFactory()`

### Method Summary

Methods
`static OutputStream` `getNoopOutputStream()` Returns an `OutputStream` that ignores all data given to it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutputStreamFactory

    public OutputStreamFactory()

### Method Detail

#### getNoopOutputStream

    public static OutputStream getNoopOutputStream()

Returns an `OutputStream` that ignores all data given to it.